use axum::response::IntoResponse;
use axum::{Json, Router};
use serde::{Deserialize, Serialize};

use crate::db::conn_pool::ConnectionPool;

#[derive(Clone, Debug, Serialize, Deserialize)]
struct RegisterRequest {}

pub struct FleetController {}

impl FleetController {
    pub fn new_router(pool: ConnectionPool) -> Router {
        Router::new().with_state(pool)
    }

    pub async fn register(Json(request): Json<RegisterRequest>) -> impl IntoResponse {
        "register"
    }
}
